diff --git a/src/base/core/evtimer.c b/src/base/core/evtimer.c
index 2df9cee71..83cf0034d 100644
--- a/src/base/core/evtimer.c
+++ b/src/base/core/evtimer.c
@@ -28,6 +28,7 @@
 #include <time.h>
 #include <signal.h>
 #include <time.h>
+#include <sys/time.h>
 #include <pthread.h>
 #ifdef HAVE_LIBBSD
 #include <bsd/sys/time.h>
diff --git a/src/dosemu.systemwide b/src/dosemu.systemwide
index 4cab9aaff..28f0c5f52 100644
--- a/src/dosemu.systemwide
+++ b/src/dosemu.systemwide
@@ -1,4 +1,4 @@
-#! /bin/bash
+#!/usr/bin/env bash
 #
 #    dosemu2 - virtual machine for running DOS
 #    Copyright (C) 2014-2020, stsp & dosemu2 contributors
